Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1007686 - Migration command in vdsClient doesn't include dstqemu field in its command description
Summary: Migration command in vdsClient doesn't include dstqemu field in its command d...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Mooli Tayer
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-09-13 06:51 UTC by Yaniv Bronhaim
Modified: 2016-02-10 19:47 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-22 17:34:47 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 19277 None None None Never
oVirt gerrit 24009 None None None Never

Description Yaniv Bronhaim 2013-09-13 06:51:01 UTC
Description of problem:
dstqemu is a new field entered in 3.3, this field states the ip address of the migration network from which to perform a migration from. This field is not stated while using vdsClient:

Migrate
        vmId=<id> method=<offline|online> src=<host:[port]> dst=<host:[port]>
        Migrate a desktop from src machine to dst host using the specified ports

Version-Release number of selected component (if applicable):
vdsm-4.12.0-115.git10c6a27.el6.x86_64

Actual results:
The new field should be provided and explained in the command description.

Comment 1 Michal Skrivanek 2013-09-16 08:48:09 UTC
since this is a new network feature and Mooli's going to work on it, moving to network

Comment 2 Dan Kenigsberg 2013-09-16 10:45:54 UTC
not a blocker, taking to 3.4.

Comment 3 Meni Yakove 2013-10-10 12:15:29 UTC
dstqemu exist but no explanation provided.

migrate
        vmId=<id> method=<offline|online> src=<host[:port]> dst=<host[:port]>  dstqemu=<host>
        Migrate a desktop from src machine to dst host using the specified ports

Comment 4 Mooli Tayer 2014-02-03 13:58:36 UTC
How is:

migrate
        vmId=<id> method=<offline|online> src=<host[:port]> dst=<host[:port]>  dstqemu=<host>
        Migrate a desktop from src machine to dst host using the specified ports and an optional migration-dedicated network

Comment 5 Dan Kenigsberg 2014-02-03 14:09:12 UTC
I'd say "migration-dedicated IP address" since you pass an address, not a network name.

Comment 6 Mooli Tayer 2014-02-03 14:54:08 UTC
Maybe 'migration-dedicated address' since it's ip/host?

Comment 7 Mooli Tayer 2014-02-03 15:02:22 UTC
or just 'migration address'?

Comment 8 Dan Kenigsberg 2014-02-03 16:19:37 UTC
'and an optional address for migration data traffic'

Comment 9 Martin Pavlik 2014-03-12 08:01:16 UTC
1)

Seems like http://gerrit.ovirt.org/#/c/24009/2/

did not really make it to av2.1

this is what I get

migrate
	vmId=<id> method=<offline|online> src=<host[:port]> dst=<host[:port]>  dstqemu=<host>
	Migrate a desktop from src machine to dst host using the specified ports


2)

IMHO using migrate without parameters should return usage (and maybe some hint on what is workng) but not an ugly exception as bellow, do I need to open separate BZ?

[root@dell-r210ii-05 ~]# vdsClient -s 0 migrate
Traceback (most recent call last):
  File "/usr/share/vdsm/vdsClient.py", line 2578, in <module>
    code, message = commands[command][0](commandArgs)
  File "/usr/share/vdsm/vdsClient.py", line 404, in do_migrate
    raise Exception("Not enough parameters")
Exception: Not enough parameters

Comment 10 Dan Kenigsberg 2014-03-22 17:34:47 UTC
This silly bug wastes too much time. It's done upstream, and would be available by ovirt-3.5.


Note You need to log in before you can comment on or make changes to this bug.